package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class MetodePenyusutan
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "MetodePenyusutan_M")
public class MetodePenyusutanVO extends BaseMasterVO {
	@ManyToOne
	@JoinColumn(name = "ObjectDepartemenFk")
	@NotNull(message = "Object DepartemenVO Harus Diisi")
	@Caption(value = "Object Departemen")
	private DepartemenVO departemen;

	public void setDepartemen(DepartemenVO departemen) {
		this.departemen = departemen;
	}

	@Column(name = "KdDepartemen", nullable = false, length = 1)
	public DepartemenVO getDepartemen() {
		return this.departemen;
	}

	@Column(name = "ObjectDepartemenFk", insertable = false, updatable = false)
	private Integer departemenId;

	@Caption(value = "Kode Metode Penyusutan")
	private Byte kdMetodePenyusutan;

	public void setKdMetodePenyusutan(Byte kdMetodePenyusutan) {
		this.kdMetodePenyusutan = kdMetodePenyusutan;
	}

	@Column(name = "KdMetodePenyusutan", nullable = false)
	public Byte getKdMetodePenyusutan() {
		return this.kdMetodePenyusutan;
	}

	@Caption(value = "Metode Penyusutan")
	private String metodePenyusutan;

	public void setMetodePenyusutan(String metodePenyusutan) {
		this.metodePenyusutan = metodePenyusutan;
	}

	@Column(name = "MetodePenyusutan", nullable = false, length = 50)
	public String getMetodePenyusutan() {
		return this.metodePenyusutan;
	}

	@Caption(value = "Persen Penyusutan")
	private Double persenPenyusutan;

	public void setPersenPenyusutan(Double persenPenyusutan) {
		this.persenPenyusutan = persenPenyusutan;
	}

	@Column(name = "PersenPenyusutan", nullable = false)
	public Double getPersenPenyusutan() {
		return this.persenPenyusutan;
	}

	@Caption(value = "QMetode Penyusutan")
	private Byte qMetodePenyusutan;

	public void setqMetodePenyusutan(Byte qMetodePenyusutan) {
		this.qMetodePenyusutan = qMetodePenyusutan;
	}

	@Column(name = "QMetodePenyusutan", nullable = false)
	public Byte getqMetodePenyusutan() {
		return this.qMetodePenyusutan;
	}

	@Caption(value = "Rumus Penyusutan")
	private String rumusPenyusutan;

	public void setRumusPenyusutan(String rumusPenyusutan) {
		this.rumusPenyusutan = rumusPenyusutan;
	}

	@Column(name = "RumusPenyusutan", nullable = true, length = 20)
	public String getRumusPenyusutan() {
		return this.rumusPenyusutan;
	}

	/*//
	@OneToMany(fetch = FetchType.LAZY, cascade = CascadeType.ALL, mappedBy = "kdmetodepenyusutan")
	private Set<KelompokAset> KelompokAsetSet = new HashSet<KelompokAset>();

	public Set<KelompokAset> getKelompokAsetSet() {
		return KelompokAsetSet;
	}

	public void setKelompokAsetSet(Set<KelompokAset> kelompokAsetSet) {
		KelompokAsetSet = kelompokAsetSet;
	}
*/
}
